package common.nbt;

public class NBTTagStringList extends NBTTagList<NBTTagString> {
	protected byte getId() {
		return 9;
	}

	protected byte getType() {
		return 8;
	}

	protected NBTTagList<NBTTagString> createInstance() {
		return new NBTTagStringList();
	}

	protected NBTTagString getDefault() {
		return new NBTTagString("");
	}

	public String get(int index) {
		return this.getElem(index).getString();
	}

	public void add(String value) {
		this.addElem(new NBTTagString(value));
	}
}
