package common.nbt;

public class NBTTagTagList extends NBTTagList<NBTTagCompound> {
	protected byte getId() {
		return 12;
	}

	protected byte getType() {
		return 10;
	}

	protected NBTTagList<NBTTagCompound> createInstance() {
		return new NBTTagTagList();
	}

	protected NBTTagCompound getDefault() {
		return new NBTTagCompound();
	}

	public NBTTagCompound get(int index) {
		return this.getElem(index);
	}

	public void add(NBTTagCompound value) {
		this.addElem(value);
	}
}
